Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 925557 - htop: Does not support aarch64 in f19 and rawhide
Summary: htop: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: htop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1039258
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:45 UTC by Dennis Gilmore
Modified: 2014-05-09 03:02 UTC (History)
3 users (show)

Fixed In Version: htop-1.0.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-01 07:02:58 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 00:45:14 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  htop appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/htop/htop-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Dawid Gajownik 2014-01-16 21:59:57 UTC
Hi Dennis,

I contacted with upstream and he will upgrade autoconf as you suggested.
We will problably need to wait for newer version, though.

Comment 2 Fedora Update System 2014-04-28 18:27:02 UTC
htop-1.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/htop-1.0.3-1.fc19

Comment 3 Fedora Update System 2014-04-28 18:28:26 UTC
htop-1.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/htop-1.0.3-1.fc20

Comment 4 Fedora Update System 2014-04-30 04:05:17 UTC
Package htop-1.0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing htop-1.0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5784/htop-1.0.3-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-05-01 07:02:58 UTC
htop-1.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-05-09 03:02:04 UTC
htop-1.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.